#
# spec file for package perl-List-MoreUtils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-MoreUtils
Version:        0.415
Release:        2.5
%define cpan_name List-MoreUtils
Summary:        Provide the stuff missing in List::Util
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-MoreUtils/
Source0:        http://www.cpan.org/authors/id/R/RE/REHSACK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Exporter::Tiny) >= 0.038
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Exporter::Tiny) >= 0.038
%{perl_requires}

%description
*List::MoreUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into List::Util.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Thu May  5 2016 coolo@suse.com
- updated to 0.415
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.415	2016-05-01
  - Release 0.414_001 as 0.415 without further changes
  0.414_001 2016-04-13
  - fix RT#75727 - after's XS implementation call XSRETURN(-1) when it
    doesn't find an element (2nd patch provided by Reini Urban,
    regression test provided by Tony Cook)
  - fix RT#113117 - XS's minmax() sometimes return undef (perl >= 5.20),
    thanks PERLANCAR and SREZIC
  - explicit test for thesis in RT#110998 - XS implementation of pairwise
    fails with memory allocation error when there are more return values
    than in original lists -- thesis is proven wrong
  - efficiency improvements by bulk88
  - improve some tests to get clearer reports
  - distinguish between "Makefile.PL find's a .git directory" and
    "Makefile.PL runs in maintainer mode"
* Sun Jun 14 2015 coolo@suse.com
- updated to 0.413
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.413	2015-06-10
  - Fix compiling in c++ mode (depreciated, but some people seem to
    require it). Solves RT#104690
* Wed May 20 2015 coolo@suse.com
- updated to 0.412
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.412	2015-05-19
  - release 0.411_001 without further changes
  0.411_001	2015-05-11
  - move generation of test endpoints to author stage as requested per issue/#9
  - add a rough guide for contributors
  - fix rt#103251 to avoid removing bundled stuff by accident
  - Fix compilation errors under cl (Thanks to jddurand)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.410
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
* Mon Dec 19 2011 coolo@suse.de
- update to 0.33:
  - Updated can_xs to fix a bug in it
* Sun May 22 2011 pascal.bleser@opensuse.org
- update to 0.32:
  * more accurate detection of XS support
* Fri Apr  1 2011 coolo@novell.com
- shortened description
* Thu Mar 31 2011 coolo@novell.com
- update to 0.30, see Changes for details (a lot)
  Mar 17 08:24:00 UTC 2011 - cfarrell@novell.com
- license update: GPL+ or Artistic
  See README and MoreUtils.pm - "same terms as Perl" expands to GPL+ or Artistic
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Fri Jun 26 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added norootforbuild
* Mon Aug 20 2007 mrueckert@suse.de
- initial package
